
QGIS Application - Bug report #4216

error editing dbf over ssh / sftp

2011-08-24 02:59 AM - Francisco Puga

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14179

Description

I have a remote server that i mount in Ubuntu 11.04 with ssh / sftp. I'm using qgis 1.7.0 Wroclaw

Steps to reproduce:

1.- Open the remote server in nautilus (the file explorer of ubuntu)

2.- Double click on the shp file to open it in qgis

3.- Open the attribute table and begin edition

4.- Change some value

5.- Close edition

All the rows of the dbf get NULL values, not only those which you edited.

PD: This is my first bug report on qgis. Please tell me if anything else is needed or something is wrong.

History

#1 - 2011-08-29 10:34 PM - Paolo Cavallini

- Category set to Digitising

#2 - 2011-09-30 02:30 PM - Jürgen Fischer

- Status changed from Open to Feedback

Does that also happen if you edit the file locally?  What are you using to mount the filesystem?

#3 - 2011-10-03 03:36 AM - Francisco Puga

I don't have problem editing the file locally

I'm not sure how i mount the filesystem. I use the "connect to server" option of nautilus (gnome), selecting in kind of service "ssh". The server also provides

a samba so i can make a test if you want.

#4 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#5 - 2012-04-16 06:29 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No
- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 11:58 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2012-09-12 02:22 AM - Francisco Puga

Thanks for keep this in the agenda.

#8 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#9 - 2014-10-12 12:37 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

just tested with Ubuntu 14.04, adding a ssh/sftp folder by using the "connect to server" option in the file browser. It all works as expected with qgis

2.4/master, please reopen of necessary.
